<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Mail\Sender\Settings\Sender\Person;

use Kufer\Mail\Address\IEMailAddress;
use Kufer\Mail\Sender\Settings\Sender\Einrichtung\IEMailEinrichtungSenderSettings;

class EMailTransformSenderWeb extends EMailTransformSenderIdentity
{
  public function getSenderForTeilnehmerToEinrichtung(
    \Teilnehmer $tn,
    IEMailEinrichtungSenderSettings $senderSettings
  ): IEMailAddress {
    return $this->getEMailSenderFrom($tn, $senderSettings);
  }

  public function getSenderForTeilnehmerToDozent(
    \Teilnehmer $tn,
    IEMailEinrichtungSenderSettings $senderSettings
  ): IEMailAddress {
    return $this->getEMailSenderFrom($tn, $senderSettings);
  }

  public function getSenderForDozentToEinrichtung(
    \Dozent $doz,
    IEMailEinrichtungSenderSettings $senderSettings
  ): IEMailAddress {
    return $this->getEMailSenderFrom($doz, $senderSettings);
  }

  public function getSenderForDozentToTeilnehmer(
    \Dozent $doz,
    IEMailEinrichtungSenderSettings $senderSettings
  ): IEMailAddress {
    return $this->getEMailSenderFrom($doz, $senderSettings);
  }

  public function getSenderForMitarbeiterToEinrichtung(
    \BASysBenutzer $mitarbeiter,
    IEMailEinrichtungSenderSettings $senderSettings
  ): IEMailAddress {
    return $this->getEMailSenderFrom($mitarbeiter, $senderSettings);
  }

  public function getSenderForAdresseToEinrichtung(
    \Adresse $adresse,
    IEMailEinrichtungSenderSettings $senderSettings
  ): IEMailAddress {
    return $this->getEMailSenderFrom($adresse, $senderSettings);
  }

  public function getSenderForMitarbeiterToDozent(
    \BASysBenutzer $mitarbeiter,
    IEMailEinrichtungSenderSettings $senderSettings
  ): IEMailAddress {
    return $this->getEMailSenderFrom($mitarbeiter, $senderSettings);
  }

  public function getSenderForMitarbeiterToTeilnehmer(
    \BASysBenutzer $mitarbeiter,
    IEMailEinrichtungSenderSettings $senderSettings
  ): IEMailAddress {
    return $this->getEMailSenderFrom($mitarbeiter, $senderSettings);
  }

  public function getSenderForToolsUserToEinrichtung(
    \Benutzer $user,
    IEMailEinrichtungSenderSettings $senderSettings
  ): IEMailAddress {
    return $this->getEMailSenderFrom($user, $senderSettings);
  }

  public function getSenderForTeilnehmerToMitarbeiter(
    \Teilnehmer $tn,
    IEMailEinrichtungSenderSettings $senderSettings
  ): IEMailAddress {
    return $this->getEMailSenderFrom($tn, $senderSettings);
  }

  public function getSenderForDozentToMitarbeiter(\Dozent $doz, IEMailEinrichtungSenderSettings $senderSettings): \Kufer\Mail\Address\IEMailAddress
  {
    return $this->getEMailSenderFrom($doz, $senderSettings);
  }

  public function getSenderForPerson(\Personn $person, IEMailEinrichtungSenderSettings $senderSettings): IEMailAddress
  {
    return $this->getEMailSenderFrom($person, $senderSettings);
  }
}